linux-armadaxp: 3.5.0-1607.9 -proposed tracker

Bug #1097914 reported by Brad Figg on 2013-01-09
28
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Ike Panhc
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Ike Panhc
Prepare-package-meta
Undecided
Ike Panhc
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Unassigned
Upload-to-ppa-dnu
Undecided
Ike Panhc
Verification-testing
Undecided
Ike Panhc
linux-armadaxp (Ubuntu)
Medium
Ike Panhc
Quantal
Undecided
Ike Panhc

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 09. January 2013 20:03 UTC
kernel-stable-master-bug:1097343
kernel-stable-Certification-testing-end:Wednesday, 09. January 2013 21:02 UTC
kernel-stable-Security-signoff-end:Wednesday, 09. January 2013 21:02 UTC
kernel-stable-Prepare-package-end:Thursday, 10. January 2013 16:02 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 10. January 2013 16:02 UTC
kernel-stable-Promote-to-proposed-end:Friday, 11. January 2013 00:01 UTC
kernel-stable-Verification-testing-start:Friday, 11. January 2013 01:03 UTC
kernel-stable-Verification-testing-end:Friday, 11. January 2013 07:01 UTC
kernel-stable-Regression-testing-start:Friday, 11. January 2013 07:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 15. January 2013 15:01 UTC
kernel-stable-Promote-to-updates-start:Thursday, 17. January 2013 15:02 UTC
kernel-stable-Promote-to-updates-end:Friday, 18. January 2013 00:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 18. January 2013 01:05 UTC

CVE References

This tracking bug was opened to be worked from linux-3.5.0-22.34 update (bug 1097343)

tags: added: kernel-release-tracking-bug
tags: added: armhf
Changed in linux-armadaxp (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2013-01-09
description: updated
Ike Panhc (ikepanhc) on 2013-01-10
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.5.0-1607.9 -proposed tracker
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Changed in linux-armadaxp (Ubuntu):
assignee: nobody → Ike Panhc (ikepanhc)
Changed in linux-armadaxp (Ubuntu Quantal):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-01-11
description: updated
Brad Figg (brad-figg) on 2013-01-11
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Brad Figg (brad-figg) on 2013-01-11
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-01-15
description: updated
Brad Figg (brad-figg) on 2013-01-17
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (21.3 KiB)

This bug was fixed in the package linux-armadaxp - 3.5.0-1607.9

---------------
linux-armadaxp (3.5.0-1607.9) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1097914
  * Rebase onto Ubuntu-3.5.0-22.33
  * Rebase onto Ubuntu-3.5.0-22.34

  [ Ubuntu: 3.5.0-22.34 ]

  * Release Tracking Bug
    - LP: #1097343
  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137
  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

  [ Ubuntu: 3.5.0-22.33 ]

  * Release Tracking Bug
    - LP: #1095349
  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182
  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557
  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530
  * Add ceph to linux-image for virtual instances
    - LP: #1063784
  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when clearing marks
    by group
    - LP: #922906
  * SAUCE: tools: hv: Netlink source address validation allows DoS
    - LP: #1084777
    - CVE-2012-55...

Changed in linux-armadaxp (Ubuntu Quantal):
status: In Progress → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2013-01-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Changed in linux-armadaxp (Ubuntu):
status: In Progress → Invalid
status: Invalid → In Progress
Ike Panhc (ikepanhc) on 2013-01-18
Changed in linux-armadaxp (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers